com.cloudera.flume.handlers.thrift

## Class ThriftFlumeEventServer.Processor<I extends ThriftFlumeEventServer.Iface>

- java.lang.Object
- - org.apache.thrift.TBaseProcessor
  - - com.cloudera.flume.handlers.thrift.ThriftFlumeEventServer.Processor<I>

- All Implemented Interfaces:
    org.apache.thrift.TProcessor
  Enclosing class:
    ThriftFlumeEventServer

      public static class ThriftFlumeEventServer.Processor<I extends ThriftFlumeEventServer.Iface>
      extends org.apache.thrift.TBaseProcessor
      implements org.apache.thrift.TProcessor

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ThriftFlumeEventServer.Processor(I iface)`
    `protected` | `ThriftFlumeEventServer.Processor(I iface, Map<String,org.apache.thrift.ProcessFunction<I,? extends org.apache.thrift.TBase>> processMap)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.thrift.TBaseProcessor

      `getProcessMapView, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.thrift.TProcessor

      `process`

- - ### Constructor Detail

    - #### ThriftFlumeEventServer.Processor

          public ThriftFlumeEventServer.Processor(I iface)

    - #### ThriftFlumeEventServer.Processor

          protected ThriftFlumeEventServer.Processor(I iface,
                                          Map<String,org.apache.thrift.ProcessFunction<I,? extends org.apache.thrift.TBase>> processMap)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.